<?php


if (!defined("WHMCS")) {
    exit("ACCESS DENIED");
}
require_once join(DIRECTORY_SEPARATOR, [ROOTDIR, "vendor", "aspnix.com", "Helpers.php"]);
add_hook("IntelligentSearch", 1, function ($vars) {
    $search_term = $vars["searchTerm"];
    $system_admin_url = ASPnix_Helpers::getSystemUrl(true, true);
    $transaction = Illuminate\Database\Capsule\Manager::table("tblaccounts")->where("transid", $search_term)->whereIn("gateway", ["coinbase"])->first();
    if (empty($transaction)) {
        return NULL;
    }
    $client_details = ASPnix_Helpers::getClient($transaction->userid);
    $client_name = $client_details["firstname"] . " " . $client_details["lastname"];
    if (!empty($client_details["companyname"])) {
        $client_name = $client_name . " (" . $client_details["companyname"] . ")";
    }
    $client_name = $client_name . " #" . $client_details["id"];
    return ["<a href=\"" . $system_admin_url . "/invoices.php?action=edit&id=" . $transaction->invoiceid . "\"><strong>Invoice #" . $transaction->invoiceid . "</strong><br /><span class=\"desc\">" . $client_name . "</span></a>", "<a href=\"" . $system_admin_url . "/addonmodules.php?module=coinbase_transactions&transid=" . $search_term . "\"><strong>Transaction Details</strong><br /><span class=\"desc\">Coinbase Transaction Lookup</span></a>"];
});

?>