<?php


if (!defined("WHMCS")) {
    exit("ACCESS DENIED");
}
require_once join(DIRECTORY_SEPARATOR, [ROOTDIR, "vendor", "aspnix.com", "Helpers.php"]);
require_once join(DIRECTORY_SEPARATOR, [ROOTDIR, "vendor", "aspnix.com", "Licensing.php"]);
require_once join(DIRECTORY_SEPARATOR, ["\7IONCUBE__DIR__", "coinbase", "functions.php"]);
ASPnix_Helpers::loadModuleLanguageFile(join(DIRECTORY_SEPARATOR, ["\7IONCUBE__DIR__", "coinbase"]));
function coinbase_MetaData()
{
    return ["DisplayName" => "Coinbase Commerce", "APIVersion" => ASPnix_CoinbaseClient::COINBASE_COMMERCE_API_VERSION, "DisableLocalCredtCardInput" => true, "TokenisedStorage" => false];
}
function coinbase_config()
{
    try {
        if (!Illuminate\Database\Capsule\Manager::schema()->hasTable("mod_coinbase_transactions")) {
            Illuminate\Database\Capsule\Manager::schema()->create("mod_coinbase_transactions", function ($table) {
                $table->string("transaction_id", 256);
                $table->string("order_id", 256);
                $table->integer("invoice_id", 10);
                $table->index("transaction_id");
            });
        }
    } catch (Exception $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_) {
        ASPnix_Helpers::logModuleActivity("Coinbase", "A module error occured (SQL) - " . $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_->getMessage());
        return ["FriendlyName" => ["Type" => "System", "Value" => "Coinbase Commerce"], "api_key" => ["FriendlyName" => "API Key", "Type" => "text", "Size" => 30], "api_secret" => ["FriendlyName" => "API Shared Secret", "Type" => "password", "Size" => 30], "license_key" => ["FriendlyName" => "License Key", "Type" => "text", "Size" => 30, "Description" => "Your license key for the \"Coinbase Commerce Gateway\" product"]];
    }
}
function coinbase_link($params)
{
    $license_key = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["license_key"];
    $_obfuscated_0D061E281B26403F19110B0E13163D2F3F1104230E1311_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["api_key"];
    $_obfuscated_0D3E1403382222052F361D16060611092B3D2907393832_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["api_secret"];
    $_obfuscated_0D011D11395B28281C222E3109222D0B14062B0E1A1132_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["description"];
    $_obfuscated_0D105B135B1D151A39190E0F342F2E3002021009260E22_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["amount"];
    $_obfuscated_0D051F0325030B2D351E0D01062C331216195C3C380F01_ = strtoupper($_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["currency"]);
    $_obfuscated_0D120C25012738281C3633400330400F081F2403400B32_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["invoiceid"];
    $_obfuscated_0D072C022D27051E1B32361838280F0334181032050122_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["clientdetails"]["userid"];
    $_obfuscated_0D322A321337102E232F1C3D272D2D0711032D150C0A01_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["systemurl"];
    $_obfuscated_0D18051B0737330F100339405B303C4032261823353401_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["returnurl"];
    $_obfuscated_0D031521053E280B393039020930105B3F373128350611_ = ASPnix_Helpers::getSystemSetting("CompanyName");
    $_obfuscated_0D1D28213E0E5C2C281B230F2D322933143C265C1E0922_ = ASPnix_Helpers::getSystemSetting("AutoRedirectoInvoice") === "gateway";
    $_obfuscated_0D1838152D073F09361B242B0B2E05343B33295B2F1E01_ = strpos($_SERVER["SCRIPT_NAME"], "viewinvoice.php");
    $_obfuscated_0D350D3D1E13121F181A072D313D2D042C3B0A123F0711_ = ASPnix_Helpers::getSystemUrl(true);
    try {
        if (!function_exists("coinbase_3QdZQFH7YtAr99aZ")) {
            throw new ASPnix_LicensingException("Coinbase", "Critical system error - missing licensing component, please make sure the licensing system is up-to-date", 26294);
        }
        coinbase_3QdZQFH7YtAr99aZ("Hdvhc2p5GCqVg9rB54LVjuX6BKbKzMPd");
        ASPnix_CoinbaseHelper::licenseCheck($license_key);
        $_obfuscated_0D09262C1232250938373E013235051A19332918340522_ = new ASPnix_CoinbaseClient($_obfuscated_0D061E281B26403F19110B0E13163D2F3F1104230E1311_, $_obfuscated_0D3E1403382222052F361D16060611092B3D2907393832_);
        $_obfuscated_0D13343F34231A1D34182B4004241F2A290C1B152F1432_ = $_obfuscated_0D09262C1232250938373E013235051A19332918340522_->createCharge($_obfuscated_0D031521053E280B393039020930105B3F373128350611_, $_obfuscated_0D011D11395B28281C222E3109222D0B14062B0E1A1132_, $_obfuscated_0D105B135B1D151A39190E0F342F2E3002021009260E22_, $_obfuscated_0D051F0325030B2D351E0D01062C331216195C3C380F01_, $_obfuscated_0D18051B0737330F100339405B303C4032261823353401_, ASPnix_CoinbaseClient::COINBASE_CHARGETYPE_INVOICE, $_obfuscated_0D120C25012738281C3633400330400F081F2403400B32_, $_obfuscated_0D072C022D27051E1B32361838280F0334181032050122_);
        $_obfuscated_0D062A1507282F375C3036221A322C19325B3822022C32_ = $_obfuscated_0D13343F34231A1D34182B4004241F2A290C1B152F1432_["hosted_url"];
        if ($_obfuscated_0D1D28213E0E5C2C281B230F2D322933143C265C1E0922_ && !$_obfuscated_0D1838152D073F09361B242B0B2E05343B33295B2F1E01_) {
            return "<form id=\"submitfrm\" method=\"GET\" action=\"" . $_obfuscated_0D062A1507282F375C3036221A322C19325B3822022C32_ . "\"></form>";
        }
        return "<a href=\"" . $_obfuscated_0D062A1507282F375C3036221A322C19325B3822022C32_ . "\" class=\"btn btn-success btn-sm\" role=\"button\"><i class=\"fab fa-bitcoin\"></i>&nbsp;" . ASPnix_Helpers::translate("coinbase_paywithbutton") . "</a>";
    } catch (Exception $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_) {
        if ($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_ instanceof ASPnix_LicensingException) {
            if ($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_ instanceof ASPnix_CoinbaseClientException) {
                ASPnix_Helpers::logModuleActivity("Coinbase", "Unknown Error - Message: " . $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_->getMessage());
            } else {
                ASPnix_Helpers::logModuleActivity("Coinbase", "Gateway Error - " . $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_);
            }
        } else {
            ASPnix_Helpers::logActivity($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_);
        }
        return "<div class=\"alert alert-danger\">" . ASPnix_Helpers::translate("coinbase_systemerror") . "</div>";
    }
}
function coinbase_public_pay_link($params)
{
    $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_ = array_merge(ASPnix_Helpers::getGatewaySettings("coinbase"), $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_);
    $license_key = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["license_key"];
    $_obfuscated_0D061E281B26403F19110B0E13163D2F3F1104230E1311_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["api_key"];
    $_obfuscated_0D3E1403382222052F361D16060611092B3D2907393832_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["api_secret"];
    $_obfuscated_0D011D11395B28281C222E3109222D0B14062B0E1A1132_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["description"];
    $_obfuscated_0D105B135B1D151A39190E0F342F2E3002021009260E22_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["amount"];
    $_obfuscated_0D051F0325030B2D351E0D01062C331216195C3C380F01_ = strtoupper($_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["currency"]);
    $_obfuscated_0D120C25012738281C3633400330400F081F2403400B32_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["invoiceid"];
    $_obfuscated_0D072C022D27051E1B32361838280F0334181032050122_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["clientdetails"]["userid"];
    $_obfuscated_0D18051B0737330F100339405B303C4032261823353401_ = $_obfuscated_0D191D24210914030C17241F11240F2A11093329332422_["returnurl"];
    $_obfuscated_0D031521053E280B393039020930105B3F373128350611_ = ASPnix_Helpers::getSystemSetting("CompanyName");
    try {
        if (!function_exists("coinbase_3QdZQFH7YtAr99aZ")) {
            throw new ASPnix_LicensingException("Coinbase", "Critical system error - missing licensing component, please make sure the licensing system is up-to-date", 26294);
        }
        coinbase_3QdZQFH7YtAr99aZ("Hdvhc2p5GCqVg9rB54LVjuX6BKbKzMPd");
        ASPnix_CoinbaseHelper::licenseCheck($license_key);
        $_obfuscated_0D09262C1232250938373E013235051A19332918340522_ = new ASPnix_CoinbaseClient($_obfuscated_0D061E281B26403F19110B0E13163D2F3F1104230E1311_, $_obfuscated_0D3E1403382222052F361D16060611092B3D2907393832_);
        $_obfuscated_0D13343F34231A1D34182B4004241F2A290C1B152F1432_ = $_obfuscated_0D09262C1232250938373E013235051A19332918340522_->createCharge($_obfuscated_0D031521053E280B393039020930105B3F373128350611_, $_obfuscated_0D011D11395B28281C222E3109222D0B14062B0E1A1132_, $_obfuscated_0D105B135B1D151A39190E0F342F2E3002021009260E22_, $_obfuscated_0D051F0325030B2D351E0D01062C331216195C3C380F01_, $_obfuscated_0D18051B0737330F100339405B303C4032261823353401_, ASPnix_CoinbaseClient::COINBASE_CHARGETYPE_PUBLICPAY, $_obfuscated_0D120C25012738281C3633400330400F081F2403400B32_, $_obfuscated_0D072C022D27051E1B32361838280F0334181032050122_);
        $_obfuscated_0D062A1507282F375C3036221A322C19325B3822022C32_ = $_obfuscated_0D13343F34231A1D34182B4004241F2A290C1B152F1432_["hosted_url"];
        return "<a href=\"" . $_obfuscated_0D062A1507282F375C3036221A322C19325B3822022C32_ . "\" class=\"btn btn-success btn-sm\" role=\"button\"><i class=\"fab fa-bitcoin\"></i>&nbsp;" . ASPnix_Helpers::translate("coinbase_donatewithbutton") . "</a>";
    } catch (Exception $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_) {
        if ($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_ instanceof ASPnix_LicensingException) {
            if ($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_ instanceof ASPnix_CoinbaseClientException) {
                ASPnix_Helpers::logModuleActivity("Coinbase", "Unknown Error - Message: " . $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_->getMessage());
            } else {
                ASPnix_Helpers::logModuleActivity("Coinbase", "Gateway Error - " . $_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_);
            }
        } else {
            ASPnix_Helpers::logActivity($_obfuscated_0D01155C3C0D3C2F11151E171B18211D020D0417103D01_);
        }
        return "<div class=\"alert alert-danger\">" . ASPnix_Helpers::translate("coinbase_systemerror") . "</div>";
    }
}

?>